org.apache.tinkerpop.gremlin.groovy.jsr223

## Class GremlinGroovyScriptEngineTinkerPopSandboxTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.groovy.jsr223.GremlinGroovyScriptEngineTinkerPopSandboxTest

-     public class GremlinGroovyScriptEngineTinkerPopSandboxTest
      extends AbstractGremlinTest

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GremlinGroovyScriptEngineTinkerPopSandboxTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldEvalOnGAsTheMethodIsWhiteListed()`
    `void` | `shouldNotEvalAsTheMethodIsNotWhiteListed()`
    `void` | `shouldNotEvalColorWhenCallingMethods()`
    `void` | `shouldNotEvalColorWhenCallingProperties()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRandomCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GremlinGroovyScriptEngineTinkerPopSandboxTest

          public GremlinGroovyScriptEngineTinkerPopSandboxTest()

  - ### Method Detail

    - #### shouldNotEvalAsTheMethodIsNotWhiteListed

          public void shouldNotEvalAsTheMethodIsNotWhiteListed()
                                                        throws Exception

      Throws:
        `Exception`

    - #### shouldEvalOnGAsTheMethodIsWhiteListed

          public void shouldEvalOnGAsTheMethodIsWhiteListed()
                                                     throws Exception

      Throws:
        `Exception`

    - #### shouldNotEvalColorWhenCallingMethods

          public void shouldNotEvalColorWhenCallingMethods()
                                                    throws Exception

      Throws:
        `Exception`

    - #### shouldNotEvalColorWhenCallingProperties

          public void shouldNotEvalColorWhenCallingProperties()
                                                       throws Exception

      Throws:
        `Exception`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.